Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 578458 - =dev-ruby/typhoeus-1.0.1 breaks dev-ruby/travis
Summary: =dev-ruby/typhoeus-1.0.1 breaks dev-ruby/travis
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-28 11:57 UTC by Ferenc Erki
Modified: 2020-05-09 09:16 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ferenc Erki 2016-03-28 11:57:27 UTC
When =dev-ruby/typhoeus-1.0.1 is installed, the travis command from =dev-ruby/travis-1.8.2-r1 fails to execute with the following error:

> $ travis
> /usr/lib64/ruby/site_ruby/2.1.0/rubygems/dependency.rb:298:in `to_specs': Could not find 'typhoeus' (>= 0.6.8, ~> 0.6) - did find: [typhoeus-1.0.1] (Gem::LoadError)
> 	from /usr/lib64/ruby/site_ruby/2.1.0/rubygems/specification.rb:1295:in `block in activate_dependencies'
> 	from /usr/lib64/ruby/site_ruby/2.1.0/rubygems/specification.rb:1284:in `each'
> 	from /usr/lib64/ruby/site_ruby/2.1.0/rubygems/specification.rb:1284:in `activate_dependencies'
> 	from /usr/lib64/ruby/site_ruby/2.1.0/rubygems/specification.rb:1266:in `activate'
> 	from /usr/lib64/ruby/site_ruby/2.1.0/rubygems.rb:196:in `rescue in try_activate'
> 	from /usr/lib64/ruby/site_ruby/2.1.0/rubygems.rb:193:in `try_activate'
> 	from /usr/lib64/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:132:in `rescue in require'
> 	from /usr/lib64/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:144:in `require'
> 	from /usr/lib64/ruby/gems/2.1.0/gems/travis-1.8.2/bin/travis:7:in `<top (required)>'
> 	from /usr/bin/travis:9:in `load'
> 	from /usr/bin/travis:9:in `<main>'

Downgrading to dev-ruby/typhoeus to 0.8.0 solves the above problem.
Comment 1 Hans de Graaff gentoo-dev 2016-06-08 05:13:27 UTC
https://github.com/gentoo/gentoo/pull/1620
Comment 2 Christoph Junghans gentoo-dev 2016-06-11 20:54:23 UTC
commit effd69d76799e129ca0c3b4cc6b4601ae366caa2
Author: Christoph Junghans <ottxor@gentoo.org>
Date:   Mon Jun 6 17:53:54 2016 -0600

    dev-ruby/travis: fix deps

    Fix #1648 gh
    Gentoo-bug: 578458

    Package-Manager: portage-2.2.28
Comment 3 Christoph Junghans gentoo-dev 2016-08-05 15:08:11 UTC
Ok, some features like "travis encrypt-file" don't work with typhoeus-1.
Comment 4 Christoph Junghans gentoo-dev 2016-08-05 15:20:21 UTC
Workaround

commit 0ee255385f5ba914dd13d212e5041aaf4eb6a589
Author: Christoph Junghans <ottxor@gentoo.org>
Date:   Fri Aug 5 09:15:35 2016 -0600

    dev-ruby/travis: revert "fix deps"

    This reverts commit effd69d76799e129ca0c3b4cc6b4601ae366caa2.

commit 59f9a8333c3cee414aba594f1b2d2849349f2f6e
Author: Christoph Junghans <ottxor@gentoo.org>
Date:   Fri Aug 5 09:14:49 2016 -0600

    dev-ruby/typhoeus: bring back 0.6.9 (bug #578458)

    Package-Manager: portage-2.2.28
Comment 5 Hans de Graaff gentoo-dev 2020-05-09 09:16:41 UTC
As far as I can tell this has been fixed for a long time.